# WOK
TKWOK
WOKAPI

# WOKAPI_Parcel Class Reference

`#include <WOKAPI_Parcel.hxx>`

Inheritance diagram for WOKAPI_Parcel:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKAPI_Parcel ()
Standard_EXPORT | WOKAPI_Parcel (const WOKAPI_Entity &aent)
Standard_EXPORT | WOKAPI_Parcel (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&aname, const Standard_Boolean verbose=Standard_True, const Standard_Boolean getit=Standard_True)
Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem | BuildParameters (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&apath, const Handle(WOKTools_HSequenceOfDefine)&defines, const Standard_Boolean usedefaults) const
Standard_EXPORT Standard_Boolean | Declare (const WOKAPI_Session &asession, const Handle(TCollection_HAsciiString)&aname, const WOKAPI_Entity &anesting, const Handle(WOKTools_HSequenceOfDefine)&defines, const Standard_Boolean usedefaults)
Standard_EXPORT void | Delivery (WOKAPI_Unit &unit) const
virtual Standard_EXPORT Standard_Boolean | NestedEntities (WOKAPI_SequenceOfEntity &aseq) const
Standard_EXPORT void | Units (WOKAPI_SequenceOfUnit &unitseq) const
virtual Standard_EXPORT Standard_Boolean | IsValid () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKAPI_Parcel::WOKAPI_Parcel | ( |  | ) |

Standard_EXPORT WOKAPI_Parcel::WOKAPI_Parcel | ( | const WOKAPI_Entity & | aent | ) |

Standard_EXPORT WOKAPI_Parcel::WOKAPI_Parcel | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const Standard_Boolean | verbose = `Standard_True`,
|  | const Standard_Boolean | getit = `Standard_True`
| ) |

## Member Function Documentation

Standard_EXPORT Handle_WOKUtils_HSequenceOfParamItem WOKAPI_Parcel::BuildParameters | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | apath,
|  | const Handle(WOKTools_HSequenceOfDefine)& | defines,
|  | const Standard_Boolean | usedefaults
| ) | const

Standard_EXPORT Standard_Boolean WOKAPI_Parcel::Declare | ( | const WOKAPI_Session & | asession,
|  | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKAPI_Entity & | anesting,
|  | const Handle(WOKTools_HSequenceOfDefine)& | defines,
|  | const Standard_Boolean | usedefaults
| ) |

Standard_EXPORT void WOKAPI_Parcel::Delivery | ( | WOKAPI_Unit & | unit | ) | const

virtual Standard_EXPORT Standard_Boolean WOKAPI_Parcel::IsValid | ( |  | ) | const`[virtual]`

| Reimplemented from WOKAPI_Entity.

virtual Standard_EXPORT Standard_Boolean WOKAPI_Parcel::NestedEntities | ( | WOKAPI_SequenceOfEntity & | aseq | ) | const`[virtual]`

| Reimplemented from WOKAPI_Entity.

void WOKAPI_Parcel::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

void* WOKAPI_Parcel::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

void* WOKAPI_Parcel::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKAPI_Entity.

Standard_EXPORT void WOKAPI_Parcel::Units | ( | WOKAPI_SequenceOfUnit & | unitseq | ) | const

The documentation for this class was generated from the following file:

- WOKAPI_Parcel.hxx